# GUI 图形化界面
hpm ui 命令可以启动一个浏览器，进行图形化管理
## 首页

在此页面可以完成以下操作：

- 打开本地的一个开发项目，目录中需包含bundle.json
- 新建一个新的项目（支持根据模板创建）
- 对于新手，也可以查看相关的指导文档熟悉开发过程



![home](images\home.png)

## 项目查看

在此页面可以完成以下操作：

- 浏览项目的基本信息
- 更改项目的基本信息
- 查看依赖的组件清单，以及自述文档（Readme文件)



![home](images\project.png)

## 依赖管理

在此页面可以完成以下操作：

- 查看项目的依赖组件详情（包括版本更新情况）
- 追溯到组件的版本及代码库
- 删除依赖组件
- 更新组件版本
- 查看依赖关系图

![home](images\deps.png)

## 任务执行

在此页面可以完成以下操作：

- 运行任务
- 自定义任务及命令
- 编辑任务命令
- 查看任务输出结果

![home](images\task.png)

## 设置

在此页面可以完成以下操作：

- 设置HPM的配置项包括
  - Registry：注册中心地址
  - Shellpath：hpm执行命令的默认终端（可以配置为cmd.exe 或git bash等）
  - LoginUser：登录用户的（邀请码），需要从HPM网站的个人中心查看，在发布组件的时候需要用到（结合秘钥一起使用）
  - GlobalRepo：全局安全的组件存放路径  （即hpm install -g xxx)
  - HttpProxy：http请求使用的代理服务器地址
  - HttpsProxy：http请求使用的代理服务器地址
  - NoProxy：无需代理的网络请求地址清单（支持逗号分隔）
- 用户添加的配置项（环境变量）
  - 包括安装工具组件包生成的变量
- HPM插件管理（待完善）



![home](images\config.png)