# CLI 命令行操作

@ohos/hpm-cli 1.1.x

## 命令清单

* init [options] [name]          
  创建一个bundle.json文件
* build                          
  运行scripts定义的构建命令
* pack                           
  打包成一个压缩文件
* dist                           
  运行sripts定义的发行命令
* install|i [options] [name]     
  获取依赖并安装
* uninstall|rm [options] <name>  
  从当前的Bundle移除依赖
* publish [options]              
  发布到远程的组件仓库
* run <cmd>                     
   执行bundle.json的scripts中定义的命令
* config [options]               
  hpm-cli 全局配置
* search [options] [name]        
  按名称搜索组件
* update|up [options] [name]     
  升级组件依赖
* check-update [options]         
  检查组件依赖的版本更新
* list|ls [options]              
  显示依赖树
* gen-keys                       
  生成秘钥对
* extract|x <source> [target]    
  解压文件. 支持格式'zip','tar','tgz' 和'.tar.gz'
* ui [options]                   
  启动HPM UI，打开浏览器进行可视化管理
* lang [lang]                    
  切换语言，支持中英文(zh|en)
* dependencies                   
  根据项目依赖生成关系视图
* gen-notice [options]           
  生成三方开源通告
* x2h [options] <type>           
  把一个三方包转换后发布到HPM, 支持的包类型有'gradle', 'maven'和'npm'
* help [command]                 
  显示命令帮助